clear all;
close all;


% Read the image
originalImage = imread('testim.jpeg'); % Replace 'your_image.jpg' with your image file name

% Convert the image to grayscale if needed
grayImage = rgb2gray(originalImage); % Skip this step if your image is already grayscale

% Apply Median filter for enhancement
filterSize = 7; % Adjust filter size as needed (e.g., 3, 5, 7...)
filteredImage = medfilt2(grayImage, [filterSize, filterSize]);

% Display the original and enhanced images
subplot(1, 2, 1);
imshow(originalImage);
title('Original Image');

subplot(1, 2, 2);
imshow(filteredImage);
title('Enhanced Image');
