% Define a symbolic variable
syms x;
% Define the function to integrate
f = x^2 + 3*x + 5;
% Integrate the function with respect to x
integral_result = int(f, x);
% Display the original function and the result of
%integration
disp('Original Function:');
disp(f);
disp('Integral Result:');
disp(integral_result);
% Plot the function and its integral
figure;
% Plot the original function
subplot(2, 1, 1);
fplot(f, [0, 5]);
title('Original Function');
% Plot the integral
subplot(2, 1, 2);
fplot(integral_result, [0, 5]);
title('Integral of the Function');
% Add labels and legend
xlabel('x');
ylabel('y');
legend('Original Function', 'Integral Result');