clear all;
close all;
% Read the image
originalImage = imread('testim.jpeg'); % Replace 'your_image.jpg' with your image file
% Convert the image to grayscale if it's in RGB
if size(originalImage, 3) == 3
grayImage = rgb2gray(originalImage);
else
grayImage = originalImage;
end
% Apply thresholding (adjust threshold value as needed)
thresholdValue = 100;
binaryImage = grayImage > thresholdValue;
% Display original and segmented images
subplot(1, 2, 1);
imshow(originalImage);
title('Original Image');
subplot(1, 2, 2);
imshow(binaryImage);
title('Segmented Image');