n = -10:10; % Define the range of 'n' values
impulse = (n == 0); % Impulse signal is 1 at n=0, 0 otherwise
% Unit step signal
step = (n >= 0); % Step signal is 1 for n>=0, 0 otherwise
% Plotting the signals
subplot(2, 1, 1);
stem(n, impulse);
title('Unit Impulse Signal');
xlabel('n');
ylabel('Amplitude');
subplot(2, 1, 2);
stem(n, step);
title('Unit Step Signal');
xlabel('n');
ylabel('Amplitude');
