clc
clear all;
[y,Fs]=audioread('female.mp3');
Nsamps=length(y);
%time domain
t=(1/Fs)*(1:Nsamps);
figure
plot(t,y)
xlabel('Time(s)')
ylabel('Amplitude')
title('Time Domain plot')
%frequency domain
y_fft=abs(fft(y));
y_fft=y_fft(1:Nsamps/2);
f=Fs*(0:Nsamps/2-1)/Nsamps; figure
plot(f,y_fft)
xlim([0 5000])
xlabel('Frequency(hz)')
ylabel('Amplitude')
title('Frequency Domain Plot')