referenceSignature = imread('sig_ref.PNG');
verificationSignature = imread('sig_ref.PNG');
% Convert images to grayscale
referenceSignatureGray = rgb2gray(referenceSignature);
verificationSignatureGray = rgb2gray(verificationSignature);
% Perform cross-correlation
correlationResult = normxcorr2(referenceSignatureGray, verificationSignatureGray);
% Display the correlation result
figure;
surf(correlationResult);
title('Correlation Result');
% Set a threshold for verification
threshold = 0.7; % Adjust this threshold based on your requirements
% Check if the maximum correlation value is above the threshold
maxCorrelation = max(correlationResult(:));
if maxCorrelation > threshold
disp('Signatures match.');
else
disp('Signatures do not match.');
end